Subject: Re: bug#767: 23.0.60; compilation-start gives bad default-directory

From: Stefan Monnier <[email-masked]>
Date: Sun, 07 Sep 2008 16:38:29 -0400

>>> I suggested that this should be fixed somewhere in start-process and I
>>> think Chong added something along those lines.
>> I saw that yes.  And I think that given the docstring, the patch should
>> not let-bind default-directory but just setq it (or do nothing at all).
> Why not change the doc string instead and say that it is recommended
> that default-directory ends with a slash?

Because it worked just fine as it is.  You still haven't told us where
the offending (non slash-terminated) value came from (which is the
thing that needs to be fixed).

        Stefan